{
    attributes = (
        {
            columnName = CBUD_KEY; 
            externalType = NUMBER; 
            name = cbudKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = EELT_CODE; 
            externalType = VARCHAR2; 
            name = eeltCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = EENT_DATE_DEBUT; 
            externalType = DATE; 
            name = eentDateDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = EENT_DATE_FIN; 
            externalType = DATE; 
            name = eentDateFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = EENT_EPREUVE; 
            externalType = NUMBER; 
            name = eentEpreuve; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = EENT_KEY; 
            externalType = NUMBER; 
            name = eentKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = EENT_LIBELLE; 
            externalType = VARCHAR2; 
            name = eentLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = EENT_QCM; 
            externalType = VARCHAR2; 
            name = eentQcm; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = EENT_SEMESTRE; 
            externalType = NUMBER; 
            name = eentSemestre; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = EENT_SESSION; 
            externalType = NUMBER; 
            name = eentSession; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_char('')"; 
            externalType = VARCHAR2; 
            name = eentSurveillance; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            columnName = EENT_TRAITE; 
            externalType = NUMBER; 
            name = eentTraite; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FHAB_NIVEAU; 
            externalType = NUMBER; 
            name = fhabNiveau; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_STRUCTURE; 
            externalType = VARCHAR2; 
            name = lcStructure; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            definition = "nvl(lcStructure,'xxx')"; 
            externalType = VARCHAR2; 
            name = lcStructureBis; 
            valueClassName = NSString; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_STRUCTURE; 
            externalType = VARCHAR2; 
            name = llStructure; 
            valueClassName = NSString; 
            width = 150; 
        }, 
        {
            columnName = MEC_CODE; 
            externalType = VARCHAR2; 
            name = mecCode; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = MEC_LIBELLE; 
            externalType = VARCHAR2; 
            name = mecLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_USUEL; 
            externalType = VARCHAR2; 
            name = nomUsuel; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "nomUsuel||' '||prenom"; 
            externalType = VARCHAR2; 
            name = persIdentite; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRENOM; 
            externalType = VARCHAR2; 
            name = prenom; 
            valueClassName = NSString; 
            width = 30; 
        }
    ); 
    attributesUsedForLocking = (eentKey, fspnKey, fhabNiveau); 
    className = EOGenericRecord; 
    classProperties = (
        fannKey, 
        eentKey, 
        eentSemestre, 
        eentSession, 
        eentEpreuve, 
        eeltCode, 
        eentQcm, 
        eentTraite, 
        cbudKey, 
        lcStructure, 
        llStructure, 
        eentLibelle, 
        eentDateDebut, 
        eentDateFin, 
        persId, 
        nomUsuel, 
        prenom, 
        mecCode, 
        mecLibelle, 
        lcStructureBis, 
        persIdentite, 
        fhabNiveau, 
        fspnKey, 
        toScolExamenSurveillant, 
        eentSurveillance, 
        toVScolExamenLocalisation
    ); 
    externalName = V_SCOL_EXAMEN_SURVEILLANCE; 
    fetchSpecificationDictionary = {}; 
    name = VScolExamenSurveillance; 
    primaryKeyAttributes = (eentKey, fspnKey, fhabNiveau); 
    relationships = (
        {
            destination = ScolExamenSurveillant; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = eentKey; sourceAttribute = eentKey; }); 
            name = toScolExamenSurveillant; 
        }, 
        {
            destination = VScolExamenLocalisation; 
            internalInfo = {_nameInObjectStore = toVScolExamenLocalisations; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = eentKey; sourceAttribute = eentKey; }); 
            name = toVScolExamenLocalisation; 
        }
    ); 
}
